aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoas Schilling <nickvergessen@gmx.de>2014-07-07 21:05:23 +0200
committerJoas Schilling <nickvergessen@gmx.de>2014-07-07 21:05:23 +0200
commit80f8c550f9c4bdc393a673c402c846c1f8de0bb9 (patch)
treeeb72cdd2c4b64f7545c601de38015b6c4db6369f
parent4c1a9d1e5d9f88eeb7ce2c95ec52c2d4d2c5c56a (diff)
parenta2af95cb37d3515c8d4d41402465435c662fecfd (diff)
downloadforums-80f8c550f9c4bdc393a673c402c846c1f8de0bb9.tar
forums-80f8c550f9c4bdc393a673c402c846c1f8de0bb9.tar.gz
forums-80f8c550f9c4bdc393a673c402c846c1f8de0bb9.tar.bz2
forums-80f8c550f9c4bdc393a673c402c846c1f8de0bb9.tar.xz
forums-80f8c550f9c4bdc393a673c402c846c1f8de0bb9.zip
Merge pull request #2706 from Nicofuma/ticket/12825
[ticket/12825] Better sniff for the extensions and skip the vendor/ directory * Nicofuma/ticket/12825: [ticket/12825] Better sniff for the extensions and skip the vendor/ directory
-rw-r--r--build/build.xml1
-rwxr-xr-xtravis/ext-sniff.sh27
2 files changed, 28 insertions, 0 deletions
diff --git a/build/build.xml b/build/build.xml
index f2668e2101..7d0068bec9 100644
--- a/build/build.xml
+++ b/build/build.xml
@@ -102,6 +102,7 @@
--extensions=php
--standard=build/code_sniffer/ruleset-php-extensions.xml
--ignore=${project.basedir}/phpBB/ext/*/tests/*
+ --ignore=${project.basedir}/phpBB/ext/*/vendor/*
phpBB/ext"
dir="." returnProperty="retval-php-ext" passthru="true" />
<if>
diff --git a/travis/ext-sniff.sh b/travis/ext-sniff.sh
new file mode 100755
index 0000000000..4e557a41c1
--- /dev/null
+++ b/travis/ext-sniff.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# This file is part of the phpBB Forum Software package.
+#
+# @copyright (c) phpBB Limited <https://www.phpbb.com>
+# @license GNU General Public License, version 2 (GPL-2.0)
+#
+# For full copyright and license information, please see
+# the docs/CREDITS.txt file.
+#
+set -e
+set -x
+
+DB=$1
+TRAVIS_PHP_VERSION=$2
+EXTNAME=$3
+
+if [ "$TRAVIS_PHP_VERSION" == "5.5" -a "$DB" == "mysqli" ]
+then
+ phpBB/vendor/bin/phpcs \
+ -s \
+ --extensions=php \
+ --standard=build/code_sniffer/ruleset-php-extensions.xml \
+ "--ignore=phpBB/ext/$EXTNAME/tests/*" \
+ "--ignore=phpBB/ext/$EXTNAME/vendor/*" \
+ "phpBB/ext/$EXTNAME"
+fi